<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_dda96eb36c5664b9e2bd434a776" . "edb25" => base64_decode("L1BoaW5nTG9nZ2Vy" . "LnBocA=="), "_dcf86ccc31af7f63af3611" . "5aa12b1ee7" => base64_decode("Y2hka" . "XI="), "_70dc1ee5e25ad6e161d0" . "8e0a3cd16124" => base64_decode("VXBkYXRpbmcgYXBwbGljYXRpb24gaW5zdGVhZA" . "=="), "_e13e80e20d331face5f56ce9d9be42c" . "d" => base64_decode("cmVzdG9yZV" . "9lcnJvcl9o" . "YW5kbGVy"), "_11def3af2a8334" . "68dd0e4ff1f0bc5" . "414" => base64_decode("Li4vY29yZS9ib290c3RyYXAuc" . "Ghw"), "_9342063570b40df2075204394b59df" . "59" => base64_decode("Z2V0" . "Y3dk"), "_7618fa2e44dd7c2d" . "e26ed1413b53cddd" => base64_decode("Ly4uLy4" . "uLy4uL3" . "NldHVw"), "_eb3d18600" . "8f632a0f30" . "f9ceb2ecf5" . "d9c" => base64_decode("cmVjb3" . "Zlcg=="));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dda96eb36c5664b9e2bd4" . "34a776edb25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_9342063570b40df207520439" . "4b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_dcf86ccc31af7f63af36115aa12b1ee" . "7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_7618fa2e44dd7c2de26ed1413b5" . "3cddd"]);
        require_once $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_11def3af2" . "a833468dd0" . "e4ff1f0bc5" . "414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e13e80e20d331face5f56ce9d9be42" . "cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_eb3d186008f632" . "a0f30f9ceb2ecf5" . "d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_70dc1ee5e25ad6e161d08e0a3cd1612" . "4"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_dcf86ccc31af7" . "f63af36115aa12" . "b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_dcf86ccc31" . "af7f63af361" . "15aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}